import { ITrafficLogger } from '../../services/trafficLogger/TrafficLogger.interface';
import { Observable } from 'rxjs';
import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
export declare class RabbitMessageLoggerInterceptor implements NestInterceptor {
    private readonly trafficLogger;
    constructor(trafficLogger: ITrafficLogger);
    private readonly loggerName;
    private logger;
    private getMessageDataFromContext;
    protected logSuccess(context: ExecutionContext, response: unknown): void;
    protected logError(context: ExecutionContext, error: Error): void;
    intercept(context: ExecutionContext, next: CallHandler): Observable<Error>;
}
//# sourceMappingURL=rabbitMessageLogger.interceptor.d.ts.map